Package org.drinkless.tdlib

# Class TdApi.MessageEffectTypeEmojiReaction

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageEffectType
org.drinkless.tdlib.TdApi.MessageEffectTypeEmojiReaction

Enclosing class:
  `TdApi`

public static class TdApi.MessageEffectTypeEmojiReaction extends TdApi.MessageEffectType
An effect from an emoji reaction.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageEffectType

  `TdApi.MessageEffectType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Sticker`
  `effectAnimation`
  Effect animation for the effect in TGS format.
  `TdApi.Sticker`
  `selectAnimation`
  Select animation for the effect in TGS format.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageEffectTypeEmojiReaction()`
  An effect from an emoji reaction.
  `MessageEffectTypeEmojiReaction(TdApi.Sticker selectAnimation, TdApi.Sticker effectAnimation)`
  An effect from an emoji reaction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### selectAnimation

    public TdApi.Sticker selectAnimation
    Select animation for the effect in TGS format.

  - ### effectAnimation

    public TdApi.Sticker effectAnimation
    Effect animation for the effect in TGS format.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageEffectTypeEmojiReaction

    public MessageEffectTypeEmojiReaction()
    An effect from an emoji reaction.

  - ### MessageEffectTypeEmojiReaction

    public MessageEffectTypeEmojiReaction(TdApi.Sticker selectAnimation, TdApi.Sticker effectAnimation)
    An effect from an emoji reaction.
    Parameters:
      `selectAnimation` - Select animation for the effect in TGS format.
      `effectAnimation` - Effect animation for the effect in TGS format.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageEffectType`
    Returns:
      this.CONSTRUCTOR